import z3
import pytest
def test_sma():
    assert z3.mainSMA(3) == [10.0, 10.47051078, 10.93666561, 10.933782793333334, 11.389900333333332, 11.833265070000001, 12.259916186666667, 12.666135713333333, 13.048502093333335, 13.403939123333336, 13.729759549999999, 14.023702593333335, 14.283964893333334, 14.50922432, 14.698656356666667, 14.851942756666666, 14.969272376666666, 15.05133418, 15.099302506666668, 15.114814903333333, 15.099942793333332, 15.05715555, 14.989278453333332, 14.899445293333335, 14.791046276666668, 14.667672146666666]
def test_med():
    assert z3.mainMedian(3) == [10.47051078, 10.93666561, 11.39417199, 11.8388634, 12.26675982, 12.67412534, 13.05752198, 13.41385896, 13.74043643, 14.03498326, 14.29568809, 14.52122333, 14.71076154, 14.8639842, 14.98108253, 15.0627504, 15.11016961, 15.11016961, 15.10928759, 15.06555328, 14.99662578, 14.9056563, 14.7960538]